| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeObjectHashId Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the union TypeObjectHashId defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeObjectHashId ()
| Default constructor.
eProsima_user_DllExport | ~TypeObjectHashId ()
| Default destructor.
eProsima_user_DllExport | TypeObjectHashId (const TypeObjectHashId &x)
| Copy constructor.
eProsima_user_DllExport | TypeObjectHashId (TypeObjectHashId &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeObjectHashId & | operator= (const TypeObjectHashId &x)
| Copy assignment.
eProsima_user_DllExport TypeObjectHashId & | operator= (TypeObjectHashId &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeObjectHashId &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeObjectHashId &x) const
| Comparison operator.
eProsima_user_DllExport void | _d (uint8_t __d)
| This function sets the discriminator value.
eProsima_user_DllExport uint8_t | _d () const
| This function returns the value of the discriminator.
eProsima_user_DllExport void | hash (const EquivalenceHash &_hash)
| This function copies the value in member hash.
eProsima_user_DllExport void | hash (EquivalenceHash &&_hash)
| This function moves the value in member hash.
eProsima_user_DllExport const EquivalenceHash & | hash () const
| This function returns a constant reference to member hash.
eProsima_user_DllExport EquivalenceHash & | hash ()
| This function returns a reference to member hash.
void | _default ()

## Detailed Description

This class represents the union TypeObjectHashId defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeObjectHashId() [1/3]

eProsima_user_DllExport TypeObjectHashId | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeObjectHashId()

eProsima_user_DllExport ~TypeObjectHashId | ( |  | ) |

inline

Default destructor.

## ◆ TypeObjectHashId() [2/3]

eProsima_user_DllExport TypeObjectHashId | ( | const TypeObjectHashId & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeObjectHashId that will be copied.

## ◆ TypeObjectHashId() [3/3]

eProsima_user_DllExport TypeObjectHashId | ( | TypeObjectHashId && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeObjectHashId that will be copied.

## Member Function Documentation

## ◆ _d() [1/2]

eProsima_user_DllExport uint8_t _d | ( |  | ) | const

inline

This function returns the value of the discriminator.

Returns
  Value of the discriminator

## ◆ _d() [2/2]

eProsima_user_DllExport void _d | ( | uint8_t | __d | ) |

inline

This function sets the discriminator value.

Parameters

  __d | New value for the discriminator.

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the new value doesn't correspond to the selected union member.

## ◆ _default()

void _default | ( |  | ) |

inline

## ◆ hash() [1/4]

eProsima_user_DllExport EquivalenceHash & hash | ( |  | ) |

inline

This function returns a reference to member hash.

Returns
  Reference to member hash

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ hash() [2/4]

eProsima_user_DllExport const EquivalenceHash & hash | ( |  | ) | const

inline

This function returns a constant reference to member hash.

Returns
  Constant reference to member hash

Exceptions

  eprosima::fastcdr::exception::BadParamException | This exception is thrown if the requested union member is not the current selection.

## ◆ hash() [3/4]

eProsima_user_DllExport void hash | ( | const EquivalenceHash & | _hash | ) |

inline

This function copies the value in member hash.

Parameters

  _hash | New value to be copied in member hash

## ◆ hash() [4/4]

eProsima_user_DllExport void hash | ( | EquivalenceHash && | _hash | ) |

inline

This function moves the value in member hash.

Parameters

  _hash | New value to be moved in member hash

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeObjectHashId & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeObjectHashId object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeObjectHashId & operator= | ( | const TypeObjectHashId & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeObjectHashId that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeObjectHashId & operator= | ( | TypeObjectHashId && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeObjectHashId that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeObjectHashId & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeObjectHashId object to compare.

## Member Data Documentation

## ◆ m_hash

EquivalenceHash m_hash

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp